summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2018-04-17 11:03:26 +0200
committerDavid Seifert <soap@gentoo.org>2018-04-17 11:08:11 +0200
commita811a7aba37e687265579dc430aa3bd934be571a (patch)
tree6dbbe0e58514fec2450fd05af47e6cb7be53bcad /sci-electronics/vbs/vbs-1.4.0.ebuild
parentnet-libs/davix: only depend on sys-apps/util-linux on Linux (diff)
downloadgentoo-a811a7aba37e687265579dc430aa3bd934be571a.tar.gz
gentoo-a811a7aba37e687265579dc430aa3bd934be571a.tar.bz2
gentoo-a811a7aba37e687265579dc430aa3bd934be571a.zip
sci-electronics/vbs: Port to EAPI 6
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'sci-electronics/vbs/vbs-1.4.0.ebuild')
-rw-r--r--sci-electronics/vbs/vbs-1.4.0.ebuild43
1 files changed, 21 insertions, 22 deletions
diff --git a/sci-electronics/vbs/vbs-1.4.0.ebuild b/sci-electronics/vbs/vbs-1.4.0.ebuild
index 3dab479eec5..0c3b4dcf54c 100644
--- a/sci-electronics/vbs/vbs-1.4.0.ebuild
+++ b/sci-electronics/vbs/vbs-1.4.0.ebuild
@@ -1,41 +1,40 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
+EAPI=6
-inherit eutils
-
-HOMEPAGE="http://www.geda.seul.org/tools/vbs/index.html"
DESCRIPTION="vbs - the Verilog Behavioral Simulator"
+HOMEPAGE="http://www.geda.seul.org/tools/vbs/index.html"
SRC_URI="http://www.geda.seul.org/dist/${P}.tar.gz"
-SLOT="0"
LICENSE="GPL-2"
-IUSE="examples"
+SLOT="0"
KEYWORDS="~amd64 ppc ~x86"
+IUSE=""
-DEPEND=">=sys-devel/flex-2.3
- >=sys-devel/bison-1.22"
+DEPEND="
+ sys-devel/flex
+ sys-devel/bison"
RDEPEND=""
S="${WORKDIR}/${P}/src"
-
-src_prepare() {
- epatch "${FILESDIR}/${P}-gcc-4.1.patch"
- epatch "${FILESDIR}/${P}-gcc-4.3.patch"
- sed -i -e "s/strrchr(n,'.')/const_cast<char*>(strrchr(n,'.'))/" common/scp_tab.cc || die "sed failed"
-}
+PATCHES=(
+ "${FILESDIR}"/${P}-gcc-4.1.patch
+ "${FILESDIR}"/${P}-gcc-4.3.patch
+ "${FILESDIR}"/${P}-const_cast.patch
+)
src_compile() {
- emake -j1 vbs || die "Compilation failed"
+ emake -j1 vbs
}
src_install() {
dobin vbs
- cd ..
- dodoc BUGS CHANGELOG* CONTRIBUTORS COPYRIGHT FAQ README vbs.txt
- if use examples ; then
- insinto /usr/share/${PF}/examples
- doins EXAMPLES/*
- fi
+ cd .. || die
+
+ einstalldocs
+ dodoc CHANGELOG* CONTRIBUTORS vbs.txt
+
+ insinto /usr/share/${PF}/examples
+ doins -r EXAMPLES/.
}